File Shares - List
Retorna uma lista de todos os compartilhamentos de arquivos de malha em um determinado local.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/fileShares?api-version=2016-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/fileShares?api-version=2016-05-01&$filter={$filter}&$top={$top}&$skip={$skip}
Parâmetros de URI
| Nome | Em | Obrigatório | Tipo | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
Local do recurso. |
|
resource
|
path | True |
string |
Nome do grupo de recursos. |
|
subscription
|
path | True |
string |
Credenciais de assinatura que identificam exclusivamente a assinatura do Microsoft Azure. A ID da assinatura faz parte do URI para cada chamada de serviço. |
|
api-version
|
query | True |
string |
Versão da API do cliente. |
|
$filter
|
query |
string |
Parâmetro de filtro OData. |
|
|
$skip
|
query |
string |
Parâmetro OData skip. |
|
|
$top
|
query |
string |
Parâmetro superior OData. |
Respostas
| Nome | Tipo | Description |
|---|---|---|
| 200 OK |
OKEY |
|
| 404 Not Found |
NÃO ENCONTRADO |
Segurança
azure_auth
A autorização usa um fluxo OAuth2 do Azure Active Directory.
Tipo:
oauth2
Flow:
implicit
URL de Autorização:
https://login.microsoftonline.com/common/oauth2/authorize
Escopos
| Nome | Description |
|---|---|
| user_impersonation | representar sua conta de usuário |
Exemplos
Returns a list of all fabric file shares at a certain location.
Solicitação de exemplo
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares?api-version=2016-05-01
Resposta de exemplo
{
"value": [
{
"id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_Infrastructure_1",
"name": "SU1_Infrastructure_1",
"type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
"location": "local",
"tags": {},
"properties": {
"associatedVolume": "05c1cbb7",
"uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_Infrastructure_1"
}
},
{
"id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_Infrastructure_2",
"name": "SU1_Infrastructure_2",
"type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
"location": "local",
"tags": {},
"properties": {
"associatedVolume": "05c1cbb7",
"uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_Infrastructure_2"
}
},
{
"id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_Infrastructure_3",
"name": "SU1_Infrastructure_3",
"type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
"location": "local",
"tags": {},
"properties": {
"associatedVolume": "05c1cbb7",
"uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_Infrastructure_3"
}
},
{
"id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_ObjStore",
"name": "SU1_ObjStore",
"type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
"location": "local",
"tags": {},
"properties": {
"associatedVolume": "05c1cbb7",
"uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_ObjStore"
}
},
{
"id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_Public",
"name": "SU1_Public",
"type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
"location": "local",
"tags": {},
"properties": {
"associatedVolume": "05c1cbb7",
"uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_Public"
}
},
{
"id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_VmTemp",
"name": "SU1_VmTemp",
"type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
"location": "local",
"tags": {},
"properties": {
"associatedVolume": "05c1cbb7",
"uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_VmTemp"
}
}
]
}
Definições
| Nome | Description |
|---|---|
|
File |
Objeto que contém propriedades do recurso de compartilhamento de arquivos. |
|
File |
Lista paginável de locais de compartilhamento de arquivos de malha. |
FileShare
Objeto que contém propriedades do recurso de compartilhamento de arquivos.
| Nome | Tipo | Description |
|---|---|---|
| id |
string |
URI do recurso. |
| location |
string |
A região em que o recurso está localizado. |
| name |
string |
Nome do recurso. |
| properties.associatedVolume |
string |
ID de volume associada. |
| properties.uncPath |
string |
O UNCPath para o compartilhamento de arquivos. |
| tags |
object |
Lista de pares chave-valor. |
| type |
string |
Tipo de recurso. |
FileShareList
Lista paginável de locais de compartilhamento de arquivos de malha.
| Nome | Tipo | Description |
|---|---|---|
| value |
Lista de compartilhamentos de arquivos de malha. |